
Count_Tracks = reaper.CountSelectedTracks(0)
if Count_Tracks == 0 then return end
  reaper.Undo_BeginBlock()
  cou2 = reaper.GetNumAudioInputs()

    Media_Track = reaper.GetSelectedTrack(0,0) 
    Input_Mono = reaper.GetMediaTrackInfo_Value( Media_Track, 'I_RECINPUT' )
if      (Input_Mono == 0) then
ZTTCCC = reaper.GetInputChannelName(0)
else
ZTT =     Input_Mono-1
    reaper.SetMediaTrackInfo_Value( Media_Track, 'I_RECINPUT' ,ZTT)
ZTTCCC = reaper.GetInputChannelName(Input_Mono)


end
  reaper.Undo_EndBlock("choose previous mono input", -1)
reaper.osara_outputMessage(ZTTCCC)